## org.apache.batik.ext.awt.image.rendered
Class LRUCache.LRUNode

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node
          org.apache.batik.ext.awt.image.rendered.LRUCache.LRUNode

Enclosing class:
  LRUCache

public class LRUCache.LRUNode
extends DoublyLinkedList.Node

Interface for nodes in the LRU cache, basicly nodes in a doubly linked list.

Constructor Summary
`LRUCache.LRUNode()`

Method Summary
`LRUCache.LRUObj` `getObj()`
`protected void` `setObj(LRUCache.LRUObj newObj)`

Methods inherited from class org.apache.batik.util.DoublyLinkedList.Node
`getNext, getPrev, insertBefore, setNext, setPrev, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUCache.LRUNode

    public LRUCache.LRUNode()

Method Detail

### getObj

    public LRUCache.LRUObj getObj()

### setObj

    protected void setObj(LRUCache.LRUObj newObj)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.